 --
  -- LexionLE
     -- This is the specialization for combine
     -- Lexion Limited Edition script by surciHUN
     --
     -- Copyright (C) LSHCV-Team 2011, All Rights Reserved*Hungarian modders*.
     
    Lexion = {};
    function Lexion.prerequisitesPresent(specializations)
        return SpecializationUtil.hasSpecialization(Steerable, specializations);
    end;
    
    function Lexion:load(xmlFile)

      self.forog = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.forog#index"));
    end;   
   function Lexion:delete()
   end;
   
   function Lexion:mouseEvent(posX, posY, isDown, isUp, button)
   end;
   
   function Lexion:keyEvent(unicode, sym, modifier, isDown)
   end;
   
   function Lexion:update(dt)
         if self:getIsActive() then
  	   if self.isClient then
         if self.isThreshing and self.forog ~= nil then
					rotate(self.forog, 0, 0, -dt*0.005);
               end;
		end;
    	    end;   
    end;
   
   function Lexion:updateTick(dt)
      
  end;
  
  function Lexion:draw()
      
  end;
  
  function Lexion:onEnter(isControlling)
  end;
  
  function Lexion:onLeave()
      
  end;
  
  function Lexion:onDeactivate()
      
  end;
  
  function Lexion:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;

  
  
  
  
  